<template>
  
  <v-data-table
    v-model="selected"
    :headers="headers"
    :items="desserts"
    :single-select="singleSelect"
    item-key="name"
    show-select
    style="padding:25px">

    <template v-slot:top>
      <div>
        
        
          <div>

            <v-toolbar style="box-shadow:none !important">
              <v-toolbar-title>{{title}}</v-toolbar-title>

              <v-spacer></v-spacer>

              <v-toolbar-items>
                <v-btn text>Export to CSV</v-btn>
                <v-btn text>Export to Excel</v-btn>
              </v-toolbar-items>

              <template v-if="$vuetify.breakpoint.smAndUp">
                
                <v-btn icon>
                  <v-icon>mdi-export-variant</v-icon>
                </v-btn>

                <v-btn icon v-on:click="deletes">
                  <v-icon>mdi-delete-circle</v-icon>
                </v-btn>

                
                <v-btn icon>
                  
                  <span text>
                      <v-row justify="center">
                        <v-dialog v-model="dialog" fullscreen hide-overlay transition="dialog-bottom-transition">
                          <template v-slot:activator="{ on }">                          
                            <v-btn icon v-on="on">
                                 <v-icon>mdi-plus-circle</v-icon>
                            </v-btn>
                          </template>

                          <v-card>
                            <v-toolbar dark color="primary">
                              <v-btn icon dark @click="dialog = false">
                                <v-icon>mdi-close</v-icon>
                              </v-btn>
                              <v-toolbar-title>Input Material</v-toolbar-title>
                              <v-spacer></v-spacer>
                              <v-toolbar-items>
                                <v-btn dark text @click="dialog = false">Save</v-btn>
                              </v-toolbar-items>
                            </v-toolbar>
                            <v-list three-line subheader>
                              <v-subheader>User Controls</v-subheader>
                              <v-list-item>
                                <v-list-item-content>
                                  <v-list-item-title>Content filtering</v-list-item-title>
                                  <v-list-item-subtitle>Set the content filtering level to restrict apps that can be downloaded</v-list-item-subtitle>
                                </v-list-item-content>
                              </v-list-item>
                              <v-list-item>
                                <v-list-item-content>
                                  <v-list-item-title>Password</v-list-item-title>
                                  <v-list-item-subtitle>Require password for purchase or use password to restrict purchase</v-list-item-subtitle>
                                </v-list-item-content>
                              </v-list-item>
                            </v-list>
                            <v-divider></v-divider>
                            <v-list three-line subheader>
                              <v-subheader>General</v-subheader>
                              <v-list-item>
                                <v-list-item-action>
                                  <v-checkbox v-model="notifications"></v-checkbox>
                                </v-list-item-action>
                                <v-list-item-content>
                                  <v-list-item-title>Notifications</v-list-item-title>
                                  <v-list-item-subtitle>Notify me about updates to apps or games that I downloaded</v-list-item-subtitle>
                                </v-list-item-content>
                              </v-list-item>
                              <v-list-item>
                                <v-list-item-action>
                                  <v-checkbox v-model="sound"></v-checkbox>
                                </v-list-item-action>
                                <v-list-item-content>
                                  <v-list-item-title>Sound</v-list-item-title>
                                  <v-list-item-subtitle>Auto-update apps at any time. Data charges may apply</v-list-item-subtitle>
                                </v-list-item-content>
                              </v-list-item>
                              <v-list-item>
                                <v-list-item-action>
                                  <v-checkbox v-model="widgets"></v-checkbox>
                                </v-list-item-action>
                                <v-list-item-content>
                                  <v-list-item-title>Auto-add widgets</v-list-item-title>
                                  <v-list-item-subtitle>Automatically add home screen widgets</v-list-item-subtitle>
                                </v-list-item-content>
                              </v-list-item>
                            </v-list>
                          </v-card>
                        </v-dialog>
                      </v-row>
                    </span>
                </v-btn>
               
              </template>
            </v-toolbar>

            <div style="padding:0px 25px">
                <v-layout row>
                  <v-flex md8>
                      <v-switch v-model="singleSelect" label="Single select" class="mr-1"></v-switch>
                  </v-flex>

                  <v-flex md4>
                      <v-col cols="12" sm="6" md="12">
                        <v-text-field
                          label="Solo"
                          
                          placeholder="Enter Your Keywords"
                          solo
                          append-icon="search"
                        ></v-text-field>
                      </v-col>
                  </v-flex>

                </v-layout>   
            </div>
        </div>
      </div>
    </template>

    
  </v-data-table>

</template>


<script>
export default {
    methods: {
      greet: function (event) {
        // `this` inside methods points to the Vue instance
        alert('Hello ' + this.name + '!')
        // `event` is the native DOM event
        if (event) {
          alert(event.target.tagName)
        }
      },
      deletes: function (){
        
        this.$dialog.confirm({
          text: 'Do you really want to exit?',
          title: 'Warning',
          overlay:true,
          actions: {
              false: 'No',
              true: {
                color: 'red',
                text: 'Yes I do',
                handle: () => {
                  return new Promise(resolve => {
                    setTimeout(() => {
                        resolve();
                        this.$dialog.message.info('Data Has Been Succesfully Deleted ..', {
                          position: 'bottom',
                          timeout : 2000
                        })
                    }, 1000);            
                  })
                }
              }
            }
        })
      },
      getColor (calories) {
        if (calories > 400) return 'red'
        else if (calories > 200) return 'orange'
        else return 'green'
      },
    },

    data () { 
      return {
        name : "Syarief Adamz",
        title : "Approval Material",
        dialog: false,
        notifications: false,
        sound: true,
        widgets: false,
        singleSelect: false,
        selected: [],
        headers: [
          {
            text: 'Material',
            align: 'left',
            sortable: false,
            value: 'name',
          },
          { text: 'Calories', value: 'calories' },
          { text: 'Fat (g)', value: 'fat' },
          { text: 'Carbs (g)', value: 'carbs' },
          { text: 'Protein (g)', value: 'protein' },
          { text: 'Iron (%)', value: 'iron' },
        ],
        desserts: [
          {
            name: 'Frozen Yogurt',
            calories: 159,
            fat: 6.0,
            carbs: 24,
            protein: 4.0,
            iron: '1%',
          }
        ],
      }
    },
  }
</script>
